# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: lxqt-panel
Version: 2.2.1
Release: alt1

Summary: Desktop panel
License: LGPL-2.1
Group: Graphical desktop/Other

Url: https://github.com/lxqt/lxqt-panel
Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(pre): rpm-build-xdg
BuildRequires: gcc-c++ cmake rpm-macros-cmake
BuildRequires: liblxqt-devel
BuildRequires: libqt6xdg-devel
BuildRequires: lxqt-menu-data-devel >= 2.0.0
BuildRequires: qt6-base-devel
BuildRequires: qt6-tools-devel
BuildRequires: kf6-solid-devel
BuildRequires: kf6-kwindowsystem-devel
BuildRequires: plasma6-layer-shell-qt-devel
BuildRequires: libdbusmenu-lxqt-devel
BuildRequires: lxqt-globalkeys-devel
BuildRequires: libalsa-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXdamage-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXrender-devel
BuildRequires: libxcbutil-devel
BuildRequires: libxcbutil-image-devel
BuildRequires: libstatgrab-devel
BuildRequires: libsensors3-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libxkbcommon-x11-devel
BuildRequires: libgio-devel
BuildRequires: libXtst-devel
BuildRequires: qt6-wayland-devel

# see bug 34612
BuildRequires: pkgconfig(libpulse)

BuildRequires: libsysstat-qt6-devel

Provides: razorqt-panel = %version
Obsoletes: razorqt-panel < 0.7.0

Conflicts: lxqt-common <= 0.11.0

Requires: menu-cache
Requires: udisks2 gvfs
Requires: lxqt-menu-data >= 2.0.0

%description
%summary.

%package devel
Summary: Development headers for %name
Group: Development/C++
BuildArch: noarch
Requires: %name = %EVR

%description devel
This package provides the development files for %name.

%prep
%setup
%autopatch -p1
%ifarch %e2k
# workaround for bug with class inheritance
sed -i "s/LXQtTaskBarPlasmaWindowManagment::show_desktop/\
QtWayland::org_kde_plasma_window_management::show_desktop/" \
  panel/backends/wayland/kwin_wayland/lxqtwmbackend_kwinwayland.cpp
%endif

%build
%add_optflags -I%_includedir/KF6/ -L%_libdir/kf6/devel/
%cmake -DVOLUME_USE_PULSEAUDIO=ON
%cmake_build

%install
%cmake_install

%files
%_man1dir/*
%_bindir/*
%_libdir/*/*.so
%_libdir/lxqt-panel/backend/
%_xdgconfigdir/*/*
%_datadir/lxqt/*
%_desktopdir/lxqt-panel.desktop
%doc AUTHORS CHANGELOG LICENSE README.md

%files devel
%_includedir/*/*.h

%changelog
* Sat May 17 2025 Anton Midyukov <antohami@altlinux.org> 2.2.1-alt1
- New version 2.2.1.

* Thu Apr 17 2025 Anton Midyukov <antohami@altlinux.org> 2.2.0-alt1
- New version 2.2.0.

* Sun Jan 12 2025 Anton Midyukov <antohami@altlinux.org> 2.1.4-alt1
- New version 2.1.4.

* Sun Dec 01 2024 Anton Midyukov <antohami@altlinux.org> 2.1.3-alt1
- New version 2.1.3.

* Mon Nov 25 2024 Anton Midyukov <antohami@altlinux.org> 2.1.2-alt1
- New version 2.1.2.

* Mon Nov 25 2024 Ilya Kurdyukov <ilyakurdyukov@altlinux.org> 2.1.1-alt2
- e2k build fix

* Tue Nov 12 2024 Anton Midyukov <antohami@altlinux.org> 2.1.1-alt1
- New version 2.1.1.

* Fri Nov 08 2024 Anton Midyukov <antohami@altlinux.org> 2.1.0-alt1
- New version 2.1.0

* Mon Jul 08 2024 2024 Anton Midyukov <antohami@altlinux.org> 2.0.1-alt1
- New version 2.0.1

* Sun Nov 05 2023 Anton Midyukov <antohami@altlinux.org> 1.4.0-alt1
- New version 1.4.0.

* Sat Apr 15 2023 Anton Midyukov <antohami@altlinux.org> 1.3.0-alt1
- New version 1.3.0.

* Sat Nov 05 2022 Anton Midyukov <antohami@altlinux.org> 1.2.0-alt1
- new version 1.2.0

* Sun Apr 17 2022 Anton Midyukov <antohami@altlinux.org> 1.1.0-alt1
- new version 1.1.0

* Fri Nov 05 2021 Anton Midyukov <antohami@altlinux.org> 1.0.0-alt1
- new version 1.0.0

* Fri Apr 16 2021 Anton Midyukov <antohami@altlinux.org> 0.17.1-alt1
- new version 0.17.1

* Thu Nov 05 2020 Anton Midyukov <antohami@altlinux.org> 0.16.0-alt1
- new version 0.16.0

* Fri May 29 2020 Anton Midyukov <antohami@altlinux.org> 0.15.1-alt1
- new version 0.15.1

* Sat Apr 25 2020 Anton Midyukov <antohami@altlinux.org> 0.15.0-alt1
- new version 0.15.0

* Mon Mar 23 2020 Anton Midyukov <antohami@altlinux.org> 0.14.1-alt2
- rebuilt with libqtxdg-0.2.0

* Fri Mar 08 2019 Anton Midyukov <antohami@altlinux.org> 0.14.1-alt1
- new version 0.14.1

* Sun Jan 27 2019 Anton Midyukov <antohami@altlinux.org> 0.14.0-alt1
- new version 0.14.0

* Sat Sep 08 2018 Anton Midyukov <antohami@altlinux.org> 0.13.0-alt2
- full date worldclock applet
- expanded panel for worldclock applet

* Fri Jul 13 2018 Anton Midyukov <antohami@altlinux.org> 0.13.0-alt1.1
- fix buildrequires

* Thu May 24 2018 Anton Midyukov <antohami@altlinux.org> 0.13.0-alt1
- new version 0.13.0

* Sat Apr 14 2018 Anton Midyukov <antohami@altlinux.org> 0.12.0-alt5
- replaced qupzilla to falkon in initial settings

* Tue Mar 06 2018 Anton Midyukov <antohami@altlinux.org> 0.12.0-alt4
- rebuild with libpulseaudio (Closes: 34612)

* Sat Feb 24 2018 Anton Midyukov <antohami@altlinux.org> 0.12.0-alt3
- fix initial settings (replace applet clock to worldclock)

* Sun Feb 18 2018 Anton Midyukov <antohami@altlinux.org> 0.12.0-alt2
- fix initial settings

* Sun Oct 22 2017 Michael Shigorin <mike@altlinux.org> 0.12.0-alt1
- 0.12.0

* Mon Oct 03 2016 Michael Shigorin <mike@altlinux.org> 0.11.0-alt1
- 0.11.0
- disabled pulseaudio for build

* Tue Nov 03 2015 Michael Shigorin <mike@altlinux.org> 0.10.0-alt2
- drop R: qt5-dbus (tosses dev tools into menu for no good reason)

* Mon Nov 02 2015 Michael Shigorin <mike@altlinux.org> 0.10.0-alt1
- 0.10.0

* Sun Feb 08 2015 Michael Shigorin <mike@altlinux.org> 0.9.0-alt1
- 0.9.0

* Thu Nov 27 2014 Michael Shigorin <mike@altlinux.org> 0.8.0-alt3
- require media related packages (closes: #30516)

* Wed Oct 15 2014 Michael Shigorin <mike@altlinux.org> 0.8.0-alt2
- bad ELF symbols still in libpanelkbindicator.so, sigh

* Wed Oct 15 2014 Michael Shigorin <mike@altlinux.org> 0.8.0-alt1
- 0.8.0

* Thu May 15 2014 Michael Shigorin <mike@altlinux.org> 0.7.0-alt7
- R: menu-cache (bails out otherwise)

* Wed May 14 2014 Michael Shigorin <mike@altlinux.org> 0.7.0-alt6
- drop libpanelkbindicator.so for now (looks like broken linking)

* Wed May 14 2014 Michael Shigorin <mike@altlinux.org> 0.7.0-alt5
- replace razorqt-panel

* Wed May 14 2014 Michael Shigorin <mike@altlinux.org> 0.7.0-alt4
- turn off unresolved ELF symbols check (hi, razorqt-0.4.1.1-alt2)

* Wed May 14 2014 Michael Shigorin <mike@altlinux.org> 0.7.0-alt3
- relax ELF check for plugins

* Wed May 14 2014 Michael Shigorin <mike@altlinux.org> 0.7.0-alt2
- devel subpackage made noarch

* Thu May 08 2014 Michael Shigorin <mike@altlinux.org> 0.7.0-alt1
- initial release

